v1.0.0
OpenAPI 3.1.0

Report push metrics

US region

Client Libraries
deprecated

Report push metrics

While this endpoint still works, you should take advantage of our universal metrics endpoint. It supports channels besides push and lets you provide additional information with some metrics.

Use this endpoint to report device-side push metrics—opened, converted, and delivered—back to Customer.io, so you can track the effectiveness of your push notifications. Customer.io has no way of knowing about these metrics, or associating metrics with a specific message, unless you report them back to us.

When Customer.io delivers a push notification, we include CIO-Delivery-ID and CIO-Delivery-Token parameters. Reference these in your payload as the delivery_id and device_id respectively with the type of device-side event metric that you want to associate with your push notification and the person represented by the device_id.

Body
application/json
  • delivery_id
    Type: string

    The CIO-Delivery-ID from the notification that you want to associate the event with.

  • device_id
    Type: string

    The CIO-Delivery-Token representing the device that received the original notification.

  • event
    Type: stringenum

    The type of device-side event you want to report back to Customer.io.

    values
    • opened
    • converted
    • delivered
  • timestamp
    Type: integerFormat: unix timestamp

    The unix timestamp when the event occurred.

Responses
  • 200

    The request was received.

Request Example for post/api/v1/push/events
curl https://track.customer.io/api/v1/push/events \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "delivery_id": "RPILAgUBcRhIBqSfeiIwdIYJKxTY",
  "event": "opened",
  "device_id": "CIO-Delivery-Token from the notification",
  "timestamp": 1613063089
}'
No Body